package cn.axzo.msg.center.message.service;

import cn.axzo.msg.center.domain.entity.MessageTemplateButtonV3;
import cn.axzo.msg.center.service.dto.MessageTemplateButtonV3DTO;

import java.util.List;

/**
 * 消息模板分类管理
 *
 * @author cold_blade
 * @date 2023/10/5
 * @version 1.0
 */
public interface MessageTemplateButtonV3Service {


    /**
     * 保存按钮
     */
    void saveTemplateButton(String messageTemplateCode, List<MessageTemplateButtonV3DTO> buttonV3List);

    /**
     * 更新按钮
     */
    void updateTemplateButton(String messageTemplateCode, List<MessageTemplateButtonV3DTO> buttonV3List);

    void deleteTemplateButton(String templateNode);

    List<MessageTemplateButtonV3> listMessageTemplateButtonByCode(String messageTemplateCode);

}
